Bug 965982 - Manifest Refresh using cli failed for satellite 6 mdp1 build
Manifest Refresh using cli failed for satellite 6 mdp1 build
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.1
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 04:29 EDT by Tazim Kolhar
Modified: 2016-04-25 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
katello-debug (127.86 KB, application/x-gzip)
2013-05-22 07:42 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2013-05-22 04:29:16 EDT
Description of problem:

Manifest Refresh using cli failed for satellite 6 mdp1 build

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-common-1.4.2-6.el6sat.noarch
katello-1.4.2-6.el6sat.noarch
katello-cli-1.4.2-5.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-glue-elasticsearch-1.4.2-6.el6sat.noarch
katello-configure-1.4.3-9.el6sat.noarch
katello-configure-foreman-1.4.3-9.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
ruby193-rubygem-foreman-katello-engine-0.0.7-1.el6sat.noarch
signo-katello-0.0.10-1.el6sat.noarch
katello-selinux-1.4.3-3.el6sat.noarch
katello-glue-pulp-1.4.2-6.el6sat.noarch
katello-all-1.4.2-6.el6sat.noarch
katello-cli-common-1.4.2-5.el6sat.noarch
katello-foreman-all-1.4.2-6.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
katello-glue-candlepin-1.4.2-6.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.1-1.el6_4.noarch


How reproducible:
# yum install y katello-foreman-all
# katello-configure --user-pass=***

Steps to Reproduce:
1.Login to UI as admin 
2.Create a Org
3.Upload a manifest downloaded from custom distributor.
4.Increase the number of subscriptions in that manifest
5.Refresh Manifest
# katello -u admin -p **** provider refresh_manifest --name 'Red Hat' --org testorg
Provider [ Red Hat ] failed to refresh manifest: w


Actual results:
Manifest Refresh failed

Expected results:
Manifest refresh successful

Additional info:
Comment 1 Tazim Kolhar 2013-05-22 07:42:13 EDT
Created attachment 751668 [details]
katello-debug
Comment 2 Mike McCune 2013-06-19 00:15:45 EDT
manifest refresh is not required for MDP1, moving to MDP2
Comment 3 Tom McKay 2013-10-02 12:43:12 EDT
Fixed as part of SAM-1.3
Comment 4 Hayk Hovsepyan 2013-10-10 11:05:54 EDT
Verified on revision:
signo-0.0.22-2.el6sat.noarch
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
foreman-1.3.0-15.el6sat.noarch
katello-cli-common-1.4.3-19.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-0.8.25-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-glue-pulp-1.4.6-29.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.4.4-3.el6sat.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-12.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
katello-qpid-broker-key-pair-1.0-1.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
foreman-postgresql-1.3.0-15.el6sat.noarch
katello-cli-1.4.3-19.el6sat.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-configure-foreman-proxy-1.4.5-10.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
signo-katello-0.0.22-2.el6sat.noarch
katello-glue-candlepin-1.4.6-29.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-1.4.6-29.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
katello-configure-foreman-1.4.5-10.el6sat.noarch
katello-foreman-all-1.4.6-29.el6sat.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
candlepin-cert-consumer-ares.usersys.redhat.com-1.0-1.noarch
katello-repos-1.4.2-1.el6.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
katello-configure-1.4.5-10.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
katello-common-1.4.6-29.el6sat.noarch
katello-glue-elasticsearch-1.4.6-29.el6sat.noarch
katello-all-1.4.6-29.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
Katello-Katello-Installation-HammerCLI-1.0-7.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
Comment 7 Bryan Kearney 2014-04-24 13:10:46 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 8 Bryan Kearney 2014-04-24 13:11:53 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.